Module org.firebirdsql.jaybird
Package org.firebirdsql.management

# Interface User

All Known Implementing Classes:
  `FBUser`

@Deprecated(since="6") public interface User
Deprecated.
Use the SQL user management statements instead, we currently do not plan to remove this API
A user in the Firebird Security Database.

Author:
  Steven Jardine

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFirstName()`
  Deprecated.
  `int`
  `getGroupId()`
  Deprecated.
  `String`
  `getLastName()`
  Deprecated.
  `String`
  `getMiddleName()`
  Deprecated.
  `String`
  `getPassword()`
  Deprecated.
  Returns the password as set by setPassword.
  `int`
  `getUserId()`
  Deprecated.
  `String`
  `getUserName()`
  Deprecated.
  `void`
  `setFirstName(String firstName)`
  Deprecated.
  Optional first name of the person using this user name.
  `void`
  `setGroupId(int groupId)`
  Deprecated.
  Optional group ID number, defined in /etc/group, to assign to the user in security database; reserved for future implementation
  `void`
  `setLastName(String lastName)`
  Deprecated.
  Optional last name of the person using this user name.
  `void`
  `setMiddleName(String middleName)`
  Deprecated.
  Optional middle name of the person using this user name.
  `void`
  `setPassword(String password)`
  Deprecated.
  Password for the specified user.
  `void`
  `setUserId(int userId)`
  Deprecated.
  Optional user ID number, defined in /etc/passwd, to assign to the user in security database; reserved for future implementation
  `void`
  `setUserName(String username)`
  Deprecated.
  User name to create in security database.

- ## Method Details

  - ### setUserName

    void setUserName(String username)
    Deprecated.
    User name to create in security database. Maximum length is 31 characters. Mandatory for all operations. Must be unique.
    Parameters:
      `username` - User name

  - ### getUserName

    String getUserName()
    Deprecated.
    Returns:
      the username in the security database.

  - ### setPassword

    void setPassword(String password)
    Deprecated.
    Password for the specified user. Maximum length is 31 characters. Only first 8 characters are significant.
    Parameters:
      `password` - Password

  - ### getPassword

    String getPassword()
    Deprecated.
    Returns the password as set by setPassword. This will return null in most cases and is only provided for add and update user functionality.
    Returns:
      the password for the specified user.

  - ### setFirstName

    void setFirstName(String firstName)
    Deprecated.
    Optional first name of the person using this user name.
    Parameters:
      `firstName` - First name

  - ### getFirstName

    String getFirstName()
    Deprecated.
    Returns:
      first name of the person using this user name.

  - ### setMiddleName

    void setMiddleName(String middleName)
    Deprecated.
    Optional middle name of the person using this user name.
    Parameters:
      `middleName` - Middle name

  - ### getMiddleName

    String getMiddleName()
    Deprecated.
    Returns:
      middle name of the person using this user name.

  - ### setLastName

    void setLastName(String lastName)
    Deprecated.
    Optional last name of the person using this user name.
    Parameters:
      `lastName` - Last name

  - ### getLastName

    String getLastName()
    Deprecated.
    Returns:
      last name of the person using this user name.

  - ### setUserId

    void setUserId(int userId)
    Deprecated.
    Optional user ID number, defined in /etc/passwd, to assign to the user in security database; reserved for future implementation
    Parameters:
      `userId` - Id of the user

  - ### getUserId

    int getUserId()
    Deprecated.
    Returns:
      user id number.

  - ### setGroupId

    void setGroupId(int groupId)
    Deprecated.
    Optional group ID number, defined in /etc/group, to assign to the user in security database; reserved for future implementation
    Parameters:
      `groupId` - Id of the group

  - ### getGroupId

    int getGroupId()
    Deprecated.
    Returns:
      group id number.